Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Should I upgrade from 1.3.20?

Discussion in 'Pro/Adv Discussion' started by Take Flight, Oct 1, 2015.

  1. Take Flight

    Joined:
    Jul 6, 2015
    Messages:
    21
    Likes Received:
    5
    I'm flying a phantom 3 advanced with version 1.3.20 and haven't upgraded to 1.4.0010 yet mainly because I'm so happy to finally have stable and reliable firmware. I know 1.4.0010 has the Intelligent flight modes, but their implementation appears to fall short. Is the newest firmware 1.4.0010 as reliable as 1.3.20 and how does it effect range?

    Im sure this has been addressed in the forum already, but I couldn't find it this morning. Thanks for the help.
     
  2. Meta4

    Meta4 Moderator
    Staff Member

    Joined:
    Jan 8, 2014
    Messages:
    7,743
    Likes Received:
    3,456
    Yes ... it's just as good
     
  3. NYRangers99

    Joined:
    Mar 21, 2014
    Messages:
    236
    Likes Received:
    28
    Location:
    Westchester County NY
    Lots of drifting being reported on 1.4.10...I downgraded to 1.3.2, too much drifting for me
     
  4. Bret Lucas

    Joined:
    Jun 1, 2015
    Messages:
    302
    Likes Received:
    180
    Yes upgrade
     
  5. NYRangers99

    Joined:
    Mar 21, 2014
    Messages:
    236
    Likes Received:
    28
    Location:
    Westchester County NY
  6. BenDronePilot

    Joined:
    Dec 7, 2013
    Messages:
    1,204
    Likes Received:
    131
    No not unless you want additional no fly zones restrictions among other things. Stay where you are unless you really want the follow me and orbit features.
     
  7. Take Flight

    Joined:
    Jul 6, 2015
    Messages:
    21
    Likes Received:
    5
    Thanks guys for the responses. Based on the mixed advice I'm going to hold off for now. Hopefully a few others will chime in. I'd like to try the intelligent flight modes, but not at the risk of drifting and additional restrictions.

    Is range affected and video quality? I haven't had to do the channel hack and don't want to.
     
  8. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    no range is not affected nor is video quality-- The bad reports will always outnumber the good reports on a forum, because people are coming here to resolve issues and that is where you find the issues. Out of 750,000 Phantom 3's-- DJI would be broke it everyone had these issues. Some of the reports are also inexperienced flyers, performing upgrades improperly. Yes there are those that have true FW related issues, but not all of them.
     
  9. Mako79

    Joined:
    May 16, 2014
    Messages:
    3,416
    Likes Received:
    568
    Location:
    Sydney Australia
    All the cool kids are doing it..
     
  10. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    LOL-- I guess if you call 73 a kid o_O
     
  11. __astronaut

    Joined:
    Aug 28, 2015
    Messages:
    43
    Likes Received:
    11
    FWIW on my 3rd flight on the 1.4.001 firmware my bird fell from the sky unexpectedly. Still waiting for analysis from DJI, which should be arriving tomorrow. I suspect that one of the motors stopped working mid flight. Not saying it was firmware related. I had so much fun on the 1.3.20 firmware. So if I were you I wouldn't upgrade.
     
  12. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    Over 30 flights on 1.4.1 with no issues-- so in my opinion-- go ahead-- It is all a matter of each one's opinion-- Doesn't help with the decisions. :D:D:D:D The only thing certain is-- that if you fly long enough, you will crash, it is not a matter of if, it is a matter of when.:confused:
     
  13. NYRangers99

    Joined:
    Mar 21, 2014
    Messages:
    236
    Likes Received:
    28
    Location:
    Westchester County NY
    Age is just a number...43 here lol...listen, you do what you want l, like Bob said everyone is different...I can tell you that I upgraded to 1.4.1 had the problems with drifting...downgraded to 1.3.2 flew perfectly...tried upgrading again, still drifting and unstable, went back to 1.3.2...I tried the POI once in 1.4.1 and loved it, just not worth the drifting problems...I will wait for a fix or 1.5 to come out to see if that works...try it for yourself, just stay low at first and get a feel for it...wouldn't go in a straight line or hold a position in a hover for me...you can always go back to 1.3.2 if you don't like it
     
  14. Take Flight

    Joined:
    Jul 6, 2015
    Messages:
    21
    Likes Received:
    5
    If I decide to try 1.4.001 and want to downgrade to 1.3.2 does it work with the same iOS app version? I don't think I've update the app to the version required to fly 1.4.001. I don't have my iPad with me or is check.
     
  15. clkilljoy

    Joined:
    Apr 30, 2015
    Messages:
    133
    Likes Received:
    36
    Make the move to 01.04.0005 once you go to anything higher you CAN NOT go Back, due to way the firmware is configured......I have finally made the move to 01.05.0011 SDK Firmware beta version.
     
    #15 clkilljoy, Oct 2, 2015
    Last edited: Oct 2, 2015
  16. NYRangers99

    Joined:
    Mar 21, 2014
    Messages:
    236
    Likes Received:
    28
    Location:
    Westchester County NY
    I was on 1.4.1 and went back to 1.3.2
     
  17. NYRangers99

    Joined:
    Mar 21, 2014
    Messages:
    236
    Likes Received:
    28
    Location:
    Westchester County NY
    I actually can't go to 1.04.005...just tried and saying cannot downgrade to this firmware ...from either 1.3.2 or 1.4.1...